Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Namespaces | Typedefs
partition_move.hpp File Reference

## Classes
struct | ranges::v3::partition_move_fn

## Namespaces
| ranges::v3
| Protect a callable so that it can be safely used in a bind expression without accidentally becoming a "nested" bind.

## Typedefs
template<typename I , typename O0 , typename O1 , typename C , typename P = ident>
using | ranges::v3::PartitionMovable = meta::strict_and< InputIterator< I >, WeaklyIncrementable< O0 >, WeaklyIncrementable< O1 >, IndirectlyMovable< I, O0 >, IndirectlyMovable< I, O1 >, IndirectCallablePredicate< C, Projected< I, P >>>